<%@ language="jscript" %>
<!--#include file="../../CoreNm/FrameWork/Header.inc"-->
<!--#include file="../../CoreNm/Framework/ListCtrl.inc"-->
<!--#include file="../../Core/TreeCtrl/TreeCtrl.inc"-->
<!--#include file="../../CoreNm/CoreAsp/RenderIcon.inc"-->
<!--#include file="../../CoreNm/Reporting/DeviceGroup.inc"-->
<!--#include file="../../Core/Ajax/json.inc"-->
<!--#include file="../../Workspace/WorkspaceCore/Common.inc"-->
<!--#include file="../../CoreNm/Reporting/Chart.inc" -->
<!--#include file="../../Reports/Workspace/common.inc"-->
<!--#include file="../../Core/Popup/Popup.inc"-->
<!--#include file="../../Core/MenuCtrl/MenuCtrl.inc" -->
<!--#include file="../../CoreNm/Framework/trMainMenu.inc"-->
<!--#include file="../DlgFindDevice/_Public.inc"-->
<!--#include file="../Public.inc"-->
<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=true"></script>
<%
Response.write(
	Js.Page.stylesheet("/NmConsole/Content/Wug/Aspf/Workspace.css") +
		Js.Page.stylesheet("/NmConsole/Content/Wug/Aspf/Workspace-print.css", "print") +
		Js.Page.stylesheet("/NmConsole/DeviceManagement/DeviceList/DeviceList.css") +
		Js.Page.stylesheet("/NmConsole/Core/MenuCtrl/MenuCtrl.css")
);
//---
// Setup any default values the first time the page is loaded
// The group id can be retrieved from the sticky properties
//		var nDeviceGroupID = oMyNetworkStickyProperties.GetLong("nDeviceGroupID");
//
//	The network menu handlers are in _NetworkMenuHandlers.inc
//---
Js.initialize();
oAspForm.StartForm(true);
oAspForm.AddHiddenFormField("_postaction");
// Set the help topic - need to have one
oAspForm.SetDialogHelpTopic("30342.htm");
var sGroupDisplayName = "World Map";

SetTitle(sGroupDisplayName)

var sPageTitle = oAspForm.Translate("sPageTitle", "Device Status");
SetTitle(sPageTitle) 

var groups = [];

var oDb = GetDb();
Js.initialize();
var sSql = "select D.nDeviceID, D.nDeviceTypeID, D.sDisplayName, sValue, nWorstStateID, nBestStateID, sStatus from DeviceAttribute DA " +
	"join Device D on D.nDeviceID = DA.nDeviceID where sName = 'LatLong' and sValue is not null";	
var oResult = oDb.ExecSql(sSql);
if (oResult.Failed) {
	// Failed to load the group data
} else if(oDb.IsEOF) {
	// No group data found
} else {
	// add all the devices from the specified group
	while(!oDb.IsEOF)
	{
		groups.push({
			nDeviceID: oDb.GetFieldAsLong("nDeviceID"),
			sValue: oDb.GetFieldAsString("sValue"),
			nDeviceTypeID: oDb.GetFieldAsLong("nDeviceTypeID"),
			nWorstStateID: oDb.GetFieldAsLong("nWorstStateID"),
			nBestStateID: oDb.GetFieldAsLong("nBestStateID"),
			sDisplayName: oDb.GetFieldAsString("sDisplayName"),
			sStatus: oDb.GetFieldAsString("sStatus")
		});
		oDb.MoveNext();
	}
}

Response.Write('<script>var nmGroups = ' + JSON.ToString(groups) + ';</script>\n')
%>
 <style type="text/css">
   .labels {
     color: Goldenrod;
     background-color: black;
     font-family: "Lucida Grande", "Arial", sans-serif;
     font-size: 11px;
     font-weight: bold;
     text-align: center;
     border: 1px solid black;
     white-space: nowrap;
   }
 </style>
 
<div id='map_canvas' style='background-color: white; width:100%; height: 40px;'></div>
 <script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false"></script>
 <script type="text/javascript" src="markerwithlabel.js"></script>
 <script type="text/javascript">

var map, isInitialized = false;
function initialize() {
	//if (isInitialized) return;
	//isInitialized = true;
	var latlng = new google.maps.LatLng(39.8282, -98.5795);
	var myOptions = {
		zoom : 5,
		center : latlng,
		mapTypeId : google.maps.MapTypeId.ROADMAP
	};
	map = new google.maps.Map(document.getElementById("map_canvas"), myOptions);
	
	for (var i = 0; i < nmGroups.length; i++) {
		var g = nmGroups[i];
		
/* Manual icon
		if (g.nWorstStateID == 0) {
			var sIcon = "/NmConsole/Workspace/images/grey-dot.png";
		} else if (g.nWorstStateID == 3 || g.nWorstStateID == 2) {
			var sIcon = "/NmConsole/Workspace/images/yellow-dot.png";
		} else if (g.nWorstStateIDD == 5 || g.nWorstStateID == 6) {
			var sIcon = "/NmConsole/Workspace/images/green-dot.png";
		} else if (g.nWorstStateID != 5 || g.nWorstStateID != 6 || g.nWorstStateID != 3 || g.nWorstStateID != 2 || g.nWorstStateID != 0) {
			var sIcon = "/NmConsole/Workspace/images/red-dot.png";
		}*/


//This is the default "Device Icon", you will need to comment out the other var sIcon to use this one instead
//var sIcon = "/NMConsole/CoreNM/CoreAsp/RenderSmallIcon.asp?nWorstMonitorStateID=" + g.nWorstStateID +	"&nBestMonitorStateID=" + g.nBestStateID + "&nIconType=3&sBackgroundColor=010101&nsize=16";

//This is the "Device type" icon
		var sIcon = "/NMConsole/CoreNM/CoreAsp/RenderIcon.asp?nWorstMonitorStateID=" + g.nWorstStateID + "&nBestMonitorStateID=" + g.nBestStateID + "&nDeviceTypeID=" + g.nDeviceTypeID + "&sBackgroundColor=010101&nsize=16";
			
		var pos = g.sValue.split(",");
		if (pos.length != 2)
			continue;

		if (isNaN(pos[0]) || isNaN(pos[1])) continue;
		
		pos[0] = parseFloat(pos[0]);
		pos[1] = parseFloat(pos[1]);
		//This determines where to place the label [not perfect...]
	  var sDisplayNameLength = (g.sDisplayName.length)
	  if (sDisplayNameLength < 5) var nPlaceLabel = (g.sDisplayName.length * 4);
	  if (sDisplayNameLength = 10) var nPlaceLabel = (g.sDisplayName.length * 3.20);
	  if (sDisplayNameLength < 10) var nPlaceLabel = (g.sDisplayName.length * 3.20);
	  if (sDisplayNameLength > 10) var nPlaceLabel = (g.sDisplayName.length * 3.20);
	  if (sDisplayNameLength > 20) var nPlaceLabel = (g.sDisplayName.length * 3.20);
	  if (sDisplayNameLength > 30) var nPlaceLabel = (g.sDisplayName.length * 3.20);
	  if (sDisplayNameLength > 40) var nPlaceLabel = (g.sDisplayName.length * 3.20);
	  if (sDisplayNameLength > 50) var nPlaceLabel = (g.sDisplayName.length * 3.20);
	  
	  //This formats the status
	  var sStatus = g.sStatus
	  var sStatusReplace = sStatus.replace(/[0-9]/g, "")
	  sStatusReplace = sStatusReplace.replace("|", "")
	  sStatusReplace = sStatusReplace.replace(";", ", ")	
	  var sStatusReplaceLength = sStatusReplace.length
	  sStatusReplace = sStatusReplace.substring(0, sStatusReplaceLength-2);
		//var sTitle = g.sDisplayName
		var myLatlng = new google.maps.LatLng(pos[0], pos[1]);
     var marker = new MarkerWithLabel({
       position: myLatlng,
       icon: new google.maps.MarkerImage(sIcon, null, null, null, new google.maps.Size(32, 32)),
       title : sStatusReplace,
       draggable: false,
       raiseOnDrag: false,
       map: map,
       labelContent: g.sDisplayName,
       labelAnchor: new google.maps.Point(nPlaceLabel, 2),
       labelClass: "labels", // the CSS class for the label
       labelStyle: {opacity: 0.65}
     });
     

		google.maps.event.addListener(marker, "click", jQuery.proxy(function (e) {
			window.parent.window.location = "/NmConsole/Workspace/DeviceStatus/DeviceStatus.asp?nDeviceID="+ this.nDeviceID + "&DeviceStatus.nWorkspaceID=10178"
		}, g));
  		
	}
}

// layout
(function ($) {
	
	var layoutList,
	scrollToSelected;
	var prevDeviceListControlsheight = null;
	
	layoutList = function () {
		var $ = jQuery;
		var navcontainer = $("#navcontainer");
		var titlebar = $("#titlebar");
		var mapArea = $("#map_canvas");
		var navHeight = navcontainer.outerHeight(true) || 0;
		var contentHeight = $(window).height() - (titlebar.outerHeight(true) + navHeight);
		mapArea.css("height", contentHeight + "px");
		initialize();
	};
	$(window).resize(layoutList);
	setTimeout(layoutList, 100);
	
	// Reload every 120 seconds
	setTimeout(function() {
		Nm.reloadPage();
	}, 120000);
	
})(jQuery);
</script>
<% oAspForm.EndForm(); %>
