<%@ language="jscript" %>
<!--#include file="../../CoreNm/FrameWork/Header.inc"-->
<!--#include file="../../CoreNm/Framework/ListCtrl.inc"-->
<!--#include file="../../Core/TreeCtrl/TreeCtrl.inc"-->
<!--#include file="../../CoreNm/CoreAsp/RenderIcon.inc"-->
<!--#include file="../../CoreNm/Reporting/DeviceGroup.inc"-->
<!--#include file="../../Core/Ajax/json.inc"-->
<!--#include file="../../Workspace/WorkspaceCore/Common.inc"-->
<!--#include file="../../CoreNm/Reporting/Chart.inc" -->
<!--#include file="../../Reports/Workspace/common.inc"-->
<!--#include file="../../Core/Popup/Popup.inc"-->
<!--#include file="../../Core/MenuCtrl/MenuCtrl.inc" -->
<!--#include file="../../CoreNm/Framework/trMainMenu.inc"-->
<!--#include file="../DlgFindDevice/_Public.inc"-->
<!--#include file="../Public.inc"-->
<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=true"></script>
<%
Response.write(
	Js.Page.stylesheet("/NmConsole/Content/Wug/Aspf/Workspace.css") +
		Js.Page.stylesheet("/NmConsole/Content/Wug/Aspf/Workspace-print.css", "print") +
		Js.Page.stylesheet("/NmConsole/DeviceManagement/DeviceList/DeviceList.css") +
		Js.Page.stylesheet("/NmConsole/Core/MenuCtrl/MenuCtrl.css")
);
//---
// Setup any default values the first time the page is loaded
// The group id can be retrieved from the sticky properties
//		var nDeviceGroupID = oMyNetworkStickyProperties.GetLong("nDeviceGroupID");
//
//	The network menu handlers are in _NetworkMenuHandlers.inc
//---
Js.initialize();
oAspForm.StartForm(true);
oAspForm.AddHiddenFormField("_postaction");
// Set the help topic - need to have one
oAspForm.SetDialogHelpTopic("30342.htm");
var sGroupDisplayName = "World Map";

SetTitle(sGroupDisplayName)

var sPageTitle = oAspForm.Translate("sPageTitle", "Device Status");
SetTitle(sPageTitle) 

var groups = [];

var oDb = GetDb();
Js.initialize();
var sSql = "Select * From DeviceGroup Where sNote is not NULL and sNote not like '' ";	
var oResult = oDb.ExecSql(sSql);
if (oResult.Failed) {
	// Failed to load the group data
} else if(oDb.IsEOF) {
	// No group data found
} else {
	// add all the devices from the specified group
	while(!oDb.IsEOF)
	{
		groups.push({
			nDeviceGroupID: oDb.GetFieldAsLong("nDeviceGroupID"),
			sNote: oDb.GetFieldAsString("sNote"),
			nMonitorStateID: oDb.GetFieldAsLong("nMonitorStateID"),
			sGroupName: oDb.GetFieldAsString("sGroupName")
		});
		oDb.MoveNext();
	}
}

Response.Write('<script>var nmGroups = ' + JSON.ToString(groups) + ';</script>\n')
%>
 <style type="text/css">
   .labels {
     color: Goldenrod;
     background-color: black;
     font-family: "Lucida Grande", "Arial", sans-serif;
     font-size: 11px;
     font-weight: bold;
     text-align: center;
     border: 1px solid black;
     white-space: nowrap;
   }
 </style>
 
<div id='map_canvas' style='background-color: white; width:100%; height: 100%;'></div>
 <script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false"></script>
 <script type="text/javascript" src="markerwithlabel.js"></script>
 <script type="text/javascript">

var map, isInitialized = false;
function initialize() {
	//if (isInitialized) return;
	//isInitialized = true;
	var latlng = new google.maps.LatLng(39.8282, -98.5795);
	var myOptions = {
		zoom : 5,
		center : latlng,
		mapTypeId : google.maps.MapTypeId.ROADMAP
	};
	map = new google.maps.Map(document.getElementById("map_canvas"), myOptions);
	
	for (var i = 0; i < nmGroups.length; i++) {
		var g = nmGroups[i];
/*		
		if (g.nMonitorStateID == 0) {
			iconColor = "./Markers/iconb.png";
		} else if (g.nMonitorStateID > 3 && g.nMonitorStateID < 7) {
			iconColor = "./Markers/icong.png";
		} else
			iconColor = "./Markers/iconr.png";
*/			
		var groupIcon = "/NMConsole/CoreNM/CoreAsp/RenderSmallIcon.asp?nBestMonitorStateID=" + g.nMonitorStateID + "&nWorstMonitorStateID=" + g.nMonitorStateID + "&nIconType=2&sBackgroundColor=010101&nsize=16";
		
		var pos = g.sNote.split(",");
		if (pos.length != 2)
			continue;

		if (isNaN(pos[0]) || isNaN(pos[1])) continue;
		
		pos[0] = parseFloat(pos[0]);
		pos[1] = parseFloat(pos[1]);
	  var nGroupNameLength = (g.sGroupName.length)
	  if (nGroupNameLength < 5) var nPlaceLabel = (g.sGroupName.length * 4);
	  if (nGroupNameLength = 10) var nPlaceLabel = (g.sGroupName.length * 3.20);
	  if (nGroupNameLength < 10) var nPlaceLabel = (g.sGroupName.length * 3.20);
	  if (nGroupNameLength > 10) var nPlaceLabel = (g.sGroupName.length * 3.20);
	  if (nGroupNameLength > 20) var nPlaceLabel = (g.sGroupName.length * 3.20);
	  if (nGroupNameLength > 30) var nPlaceLabel = (g.sGroupName.length * 3.20);
	  if (nGroupNameLength > 40) var nPlaceLabel = (g.sGroupName.length * 3.20);
	  if (nGroupNameLength > 50) var nPlaceLabel = (g.sGroupName.length * 3.20);
	  
	  
		var sTitle = g.sGroupName
		var myLatlng = new google.maps.LatLng(pos[0], pos[1]);
     var marker = new MarkerWithLabel({
       position: myLatlng,
       icon: new google.maps.MarkerImage(groupIcon, null, null, null, new google.maps.Size(24, 24)),
       title : g.sGroupName || "",
       draggable: false,
       raiseOnDrag: false,
       map: map,
       labelContent: g.sGroupName,
       labelAnchor: new google.maps.Point(nPlaceLabel, 2),
       labelClass: "labels", // the CSS class for the label
       labelStyle: {opacity: 0.65}
     });
  
		google.maps.event.addListener(marker, "click", jQuery.proxy(function (e) {
			window.parent.window.location = "/NmConsole/DeviceManagement/DeviceList/DeviceList.asp?DeviceList.nDeviceGroupID=" + this.nDeviceGroupID + "&DeviceList.oListDevices=109%3Agroup&DeviceList.oEditFindDevice=&DeviceList.nMapScrollLeft=0&DeviceList.nMapScrollTop=0&DeviceList.oComboSearchType=0";
		}, g));
		
	}
}

// layout
(function ($) {
	
	var layoutList,
	scrollToSelected;
	var prevDeviceListControlsheight = null;
	
	layoutList = function () {
		var $ = jQuery;
		var navcontainer = $("#navcontainer");
		var titlebar = $("#titlebar");
		var mapArea = $("#map_canvas");
		var navHeight = navcontainer.outerHeight(true) || 0;
		var contentHeight = $(window).height() - (titlebar.outerHeight(true) + navHeight);
		mapArea.css("height", contentHeight + "px");
		initialize();
	};
	$(window).resize(layoutList);
	setTimeout(layoutList, 100);
	
	// Reload every 120 seconds
	setTimeout(function() {
		Nm.reloadPage();
	}, 120000);
	
})(jQuery);
</script>
<% oAspForm.EndForm(); %>
